# Generated by Django 4.0.3 on 2024-05-03 11:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ProjectAPP', '0011_remove_project_timespan'),
        ('Policies', '0021_remove_policyguide_tasks_delete_checklisttask'),
    ]

    operations = [
        migrations.CreateModel(
            name='ChecklistTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('description_en', models.CharField(default='NONE', max_length=300)),
                ('description_de', models.CharField(default='NONE', max_length=300)),
                ('responsible', models.CharField(default='NONE', max_length=30)),
                ('done', models.BooleanField()),
                ('tag', models.CharField(max_length=30)),
                ('phase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectphase')),
                ('step', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectstep')),
            ],
        ),
        migrations.DeleteModel(
            name='ProjectChecklistTask',
        ),
        migrations.AddField(
            model_name='policyguide',
            name='tasks',
            field=models.ManyToManyField(to='Policies.checklisttask'),
        ),
    ]
